#include <QtGui>
#include "tridialog.h"

triDialog::triDialog(QWidget *parent)
        : QDialog(parent)
{
    setupUi(this);

    groupBox2->hide();
    groupBox3->hide();
    //attention à bien être attentif au fait que le "s" après "::" est en majuscules...
    layout()->setSizeConstraint(QLayout::SetFixedSize);
    setColonneRang('A', 'Z');
}

void triDialog::setColonneRang(QChar premier, QChar dernier)
{
    colCombo1->clear();
    colCombo2->clear();
    colCombo3->clear();

    colCombo2->addItem(tr("None"));
    colCombo3->addItem(tr("None"));

    colCombo1->setMinimumSize(colCombo2->sizeHint());
    QChar caracDeb = premier;
    // "<=" n'est pas une flèche mais "inférieur ou égal"
    while (caracDeb<=dernier) {
        colCombo1->addItem(QString (caracDeb));
        colCombo2->addItem(QString (caracDeb));
        colCombo3->addItem(QString (caracDeb));
        caracDeb=caracDeb.unicode()+1;
    }
}
